Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class MenuKeyAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.MenuKeyAction

All Implemented Interfaces:
  EventListener, MenuKeyListener

public class MenuKeyAction
extends AbstractAction
implements MenuKeyListener

Actionimplementierung fuer MenuKeyEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`MenuKeyAction()`

Method Summary
`void` | `doMenuKeyPressed(MenuKeyEvent mke)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuKeyReleased(MenuKeyEvent mke)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuKeyTyped(MenuKeyEvent mke)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `menuKeyPressed(MenuKeyEvent mke)`
`void` | `menuKeyReleased(MenuKeyEvent mke)`
`void` | `menuKeyTyped(MenuKeyEvent mke)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuKeyAction

    public MenuKeyAction()

Method Detail

### menuKeyTyped

    public void menuKeyTyped(MenuKeyEvent mke)

  Specified by:
    `menuKeyTyped` in interface `MenuKeyListener`

### doMenuKeyTyped

    public void doMenuKeyTyped(MenuKeyEvent mke)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mke` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuKeyPressed

    public void menuKeyPressed(MenuKeyEvent mke)

  Specified by:
    `menuKeyPressed` in interface `MenuKeyListener`

### doMenuKeyPressed

    public void doMenuKeyPressed(MenuKeyEvent mke)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mke` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuKeyReleased

    public void menuKeyReleased(MenuKeyEvent mke)

  Specified by:
    `menuKeyReleased` in interface `MenuKeyListener`

### doMenuKeyReleased

    public void doMenuKeyReleased(MenuKeyEvent mke)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mke` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD